.seed-badge__root {
    display: inline-flex;
    box-sizing: border-box;
    align-items: center;
    min-width: 0;
    overflow: hidden;
    text-transform: none;
    text-align: start;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-decoration: none;
}
.seed-badge__prefix {
    display: inline-flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
    color: inherit;
    --seed-icon-size: 100%;
    --seed-icon-color: currentColor;
}
.seed-badge__label {
    min-width: 0;
    flex-shrink: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.seed-badge__action {
    display: inline-flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
    padding: 0;
    font-family: inherit;
    border: none;
    border-radius: inherit;
    background-color: transparent;
    color: inherit;
    cursor: pointer;
    --seed-icon-size: 100%;
    --seed-icon-color: currentColor;
}
.seed-badge__action:is(:active, [data-active]) {
    scale: var(--seed-feedback-scale);
}
.seed-badge__action {
    transition: scale var(--seed-duration-pressed-scale) var(--seed-timing-function-pressed-scale), outline-color var(--seed-duration-d3) var(--seed-timing-function-easing);
    outline: var(--seed-dimension-x0_5) solid transparent;
    outline-offset: calc(var(--seed-dimension-x0_5) * -1);
}
.seed-badge__action:is(:focus-visible, [data-focus-visible]) {
    outline: var(--seed-dimension-x0_5) solid var(--seed-color-stroke-focus-ring);
    outline-offset: calc(var(--seed-dimension-x0_5) * -1);
}
.seed-badge__root--size_medium {
    min-height: var(--seed-dimension-x5);
    padding-inline: var(--seed-dimension-x1_5);
    padding-block: var(--seed-dimension-x0_5);
    border-radius: var(--seed-radius-r1);
    gap: var(--seed-dimension-x0_5);
    font-size: var(--seed-font-size-t1);
    line-height: var(--seed-line-height-t1);
}
.seed-badge__prefix--size_medium {
    width: var(--seed-dimension-x3);
    height: var(--seed-dimension-x3);
}
.seed-badge__action--size_medium {
    width: var(--seed-dimension-x3);
    height: var(--seed-dimension-x3);
}
.seed-badge__root--size_large {
    min-height: var(--seed-dimension-x6);
    padding-inline: var(--seed-dimension-x2);
    padding-block: var(--seed-dimension-x1);
    border-radius: var(--seed-radius-r1_5);
    gap: var(--seed-dimension-x0_5);
    font-size: var(--seed-font-size-t2);
    line-height: var(--seed-line-height-t2);
}
.seed-badge__prefix--size_large {
    width: var(--seed-dimension-x3_5);
    height: var(--seed-dimension-x3_5);
}
.seed-badge__action--size_large {
    width: var(--seed-dimension-x3_5);
    height: var(--seed-dimension-x3_5);
}
.seed-badge__root--variant_weak {
    font-weight: var(--seed-font-weight-medium);
}
.seed-badge__root--variant_solid {
    font-weight: var(--seed-font-weight-bold);
}
.seed-badge__root--variant_outline {
    font-weight: var(--seed-font-weight-bold);
}
.seed-badge__root--tone_neutral-variant_weak {
    background-color: var(--seed-color-bg-neutral-weak);
    color: var(--seed-color-fg-neutral-muted);
}
.seed-badge__root--tone_neutral-variant_solid {
    background-color: var(--seed-color-palette-gray-800);
    color: var(--seed-color-fg-on-neutral-solid);
}
.seed-badge__root--tone_neutral-variant_outline {
    box-shadow: inset 0 0 0 1px var(--seed-color-stroke-neutral-muted);
    color: var(--seed-color-fg-neutral-muted);
}
.seed-badge__root--tone_brand-variant_weak {
    background-color: var(--seed-color-bg-brand-weak);
    color: var(--seed-color-fg-brand-contrast);
}
.seed-badge__root--tone_brand-variant_solid {
    background-color: var(--seed-color-bg-brand-solid);
    color: var(--seed-color-fg-on-brand-solid);
}
.seed-badge__root--tone_brand-variant_outline {
    box-shadow: inset 0 0 0 1px var(--seed-color-stroke-brand-weak);
    color: var(--seed-color-fg-brand);
}
.seed-badge__root--tone_informative-variant_weak {
    background-color: var(--seed-color-bg-informative-weak);
    color: var(--seed-color-fg-informative-contrast);
}
.seed-badge__root--tone_informative-variant_solid {
    background-color: var(--seed-color-bg-informative-solid);
    color: var(--seed-color-fg-on-informative-solid);
}
.seed-badge__root--tone_informative-variant_outline {
    box-shadow: inset 0 0 0 1px var(--seed-color-stroke-informative-weak);
    color: var(--seed-color-fg-informative);
}
.seed-badge__root--tone_positive-variant_weak {
    background-color: var(--seed-color-bg-positive-weak);
    color: var(--seed-color-fg-positive-contrast);
}
.seed-badge__root--tone_positive-variant_solid {
    background-color: var(--seed-color-bg-positive-solid);
    color: var(--seed-color-fg-on-positive-solid);
}
.seed-badge__root--tone_positive-variant_outline {
    box-shadow: inset 0 0 0 1px var(--seed-color-stroke-positive-weak);
    color: var(--seed-color-fg-positive);
}
.seed-badge__root--tone_warning-variant_weak {
    background-color: var(--seed-color-bg-warning-weak);
    color: var(--seed-color-fg-warning-contrast);
}
.seed-badge__root--tone_warning-variant_solid {
    background-color: var(--seed-color-bg-warning-solid);
    color: var(--seed-color-fg-on-warning-solid);
}
.seed-badge__root--tone_warning-variant_outline {
    box-shadow: inset 0 0 0 1px var(--seed-color-stroke-warning-weak);
    color: var(--seed-color-fg-warning);
}
.seed-badge__root--tone_critical-variant_weak {
    background-color: var(--seed-color-bg-critical-weak);
    color: var(--seed-color-fg-critical-contrast);
}
.seed-badge__root--tone_critical-variant_solid {
    background-color: var(--seed-color-bg-critical-solid);
    color: var(--seed-color-fg-on-critical-solid);
}
.seed-badge__root--tone_critical-variant_outline {
    box-shadow: inset 0 0 0 1px var(--seed-color-stroke-critical-weak);
    color: var(--seed-color-fg-critical);
}